diff -urNp linux-2.6.32.24/drivers/usb/core/hcd.h linux-2.6.32.24/drivers/usb/core/hcd.h
--- linux-2.6.32.24/drivers/usb/core/hcd.h	2010-08-13 16:24:37.000000000 -0400
+++ linux-2.6.32.24/drivers/usb/core/hcd.h	2010-09-04 15:54:52.000000000 -0400
@@ -486,13 +486,13 @@ static inline void usbfs_cleanup(void) {
 #if defined(CONFIG_USB_MON) || defined(CONFIG_USB_MON_MODULE)
 
 struct usb_mon_operations {
-	void (*urb_submit)(struct usb_bus *bus, struct urb *urb);
-	void (*urb_submit_error)(struct usb_bus *bus, struct urb *urb, int err);
-	void (*urb_complete)(struct usb_bus *bus, struct urb *urb, int status);
+	void (* const urb_submit)(struct usb_bus *bus, struct urb *urb);
+	void (* const urb_submit_error)(struct usb_bus *bus, struct urb *urb, int err);
+	void (* const urb_complete)(struct usb_bus *bus, struct urb *urb, int status);
 	/* void (*urb_unlink)(struct usb_bus *bus, struct urb *urb); */
 };
 
-extern struct usb_mon_operations *mon_ops;
+extern const struct usb_mon_operations *mon_ops;
 
 static inline void usbmon_urb_submit(struct usb_bus *bus, struct urb *urb)
 {
@@ -514,7 +514,7 @@ static inline void usbmon_urb_complete(s
 		(*mon_ops->urb_complete)(bus, urb, status);
 }
 
-int usb_mon_register(struct usb_mon_operations *ops);
+int usb_mon_register(const struct usb_mon_operations *ops);
 void usb_mon_deregister(void);
 
 #else
diff -urNp linux-2.6.32.24/drivers/usb/core/hub.c linux-2.6.32.24/drivers/usb/core/hub.c
--- linux-2.6.32.24/drivers/usb/core/hub.c	2010-08-13 16:24:37.000000000 -0400
+++ linux-2.6.32.24/drivers/usb/core/hub.c	2010-09-04 15:54:52.000000000 -0400
@@ -3401,7 +3401,7 @@ static struct usb_device_id hub_id_table
       .bDeviceClass = USB_CLASS_HUB},
     { .match_flags = USB_DEVICE_ID_MATCH_INT_CLASS,
       .bInterfaceClass = USB_CLASS_HUB},
-    { }						/* Terminating entry */
+    { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }						/* Terminating entry */
 };
 
 MODULE_DEVICE_TABLE (usb, hub_id_table);
diff -urNp linux-2.6.32.24/drivers/usb/core/message.c linux-2.6.32.24/drivers/usb/core/message.c
--- linux-2.6.32.24/drivers/usb/core/message.c	2010-08-13 16:24:37.000000000 -0400
+++ linux-2.6.32.24/drivers/usb/core/message.c	2010-09-04 15:54:52.000000000 -0400
@@ -914,8 +914,8 @@ char *usb_cache_string(struct usb_device
 	buf = kmalloc(MAX_USB_STRING_SIZE, GFP_NOIO);
 	if (buf) {
 		len = usb_string(udev, index, buf, MAX_USB_STRING_SIZE);
-		if (len > 0) {
-			smallbuf = kmalloc(++len, GFP_NOIO);
+		if (len++ > 0) {
+			smallbuf = kmalloc(len, GFP_NOIO);
 			if (!smallbuf)
 				return buf;
 			memcpy(smallbuf, buf, len);
diff -urNp linux-2.6.32.24/drivers/usb/host/ehci-pci.c linux-2.6.32.24/drivers/usb/host/ehci-pci.c
--- linux-2.6.32.24/drivers/usb/host/ehci-pci.c	2010-08-13 16:24:37.000000000 -0400
+++ linux-2.6.32.24/drivers/usb/host/ehci-pci.c	2010-09-04 15:54:52.000000000 -0400
@@ -422,7 +422,7 @@ static const struct pci_device_id pci_id
 	PCI_DEVICE_CLASS(PCI_CLASS_SERIAL_USB_EHCI, ~0),
 	.driver_data =	(unsigned long) &ehci_pci_hc_driver,
 	},
-	{ /* end: all zeroes */ }
+	{ 0, 0, 0, 0, 0, 0, 0 }
 };
 MODULE_DEVICE_TABLE(pci, pci_ids);
 
diff -urNp linux-2.6.32.24/drivers/usb/host/uhci-hcd.c linux-2.6.32.24/drivers/usb/host/uhci-hcd.c
--- linux-2.6.32.24/drivers/usb/host/uhci-hcd.c	2010-08-13 16:24:37.000000000 -0400
+++ linux-2.6.32.24/drivers/usb/host/uhci-hcd.c	2010-09-04 15:54:52.000000000 -0400
@@ -941,7 +941,7 @@ static const struct pci_device_id uhci_p
 	/* handle any USB UHCI controller */
 	PCI_DEVICE_CLASS(PCI_CLASS_SERIAL_USB_UHCI, ~0),
 	.driver_data =	(unsigned long) &uhci_driver,
-	}, { /* end: all zeroes */ }
+	}, { 0, 0, 0, 0, 0, 0, 0 }
 };
 
 MODULE_DEVICE_TABLE(pci, uhci_pci_ids);
diff -urNp linux-2.6.32.24/drivers/usb/misc/appledisplay.c linux-2.6.32.24/drivers/usb/misc/appledisplay.c
--- linux-2.6.32.24/drivers/usb/misc/appledisplay.c	2010-08-13 16:24:37.000000000 -0400
+++ linux-2.6.32.24/drivers/usb/misc/appledisplay.c	2010-09-04 15:54:52.000000000 -0400
@@ -178,7 +178,7 @@ static int appledisplay_bl_get_brightnes
 		return pdata->msgdata[1];
 }
 
-static struct backlight_ops appledisplay_bl_data = {
+static const struct backlight_ops appledisplay_bl_data = {
 	.get_brightness	= appledisplay_bl_get_brightness,
 	.update_status	= appledisplay_bl_update_status,
 };
diff -urNp linux-2.6.32.24/drivers/usb/mon/mon_main.c linux-2.6.32.24/drivers/usb/mon/mon_main.c
--- linux-2.6.32.24/drivers/usb/mon/mon_main.c	2010-08-13 16:24:37.000000000 -0400
+++ linux-2.6.32.24/drivers/usb/mon/mon_main.c	2010-09-04 15:54:52.000000000 -0400
@@ -238,7 +238,7 @@ static struct notifier_block mon_nb = {
 /*
  * Ops
  */
-static struct usb_mon_operations mon_ops_0 = {
+static const struct usb_mon_operations mon_ops_0 = {
 	.urb_submit =	mon_submit,
 	.urb_submit_error = mon_submit_error,
 	.urb_complete =	mon_complete,
diff -urNp linux-2.6.32.24/drivers/usb/storage/debug.h linux-2.6.32.24/drivers/usb/storage/debug.h
--- linux-2.6.32.24/drivers/usb/storage/debug.h	2010-08-13 16:24:37.000000000 -0400
+++ linux-2.6.32.24/drivers/usb/storage/debug.h	2010-09-04 15:54:52.000000000 -0400
@@ -54,9 +54,9 @@ void usb_stor_show_sense( unsigned char 
 #define US_DEBUGPX(x...) printk( x )
 #define US_DEBUG(x) x 
 #else
-#define US_DEBUGP(x...)
-#define US_DEBUGPX(x...)
-#define US_DEBUG(x)
+#define US_DEBUGP(x...) do {} while (0)
+#define US_DEBUGPX(x...) do {} while (0)
+#define US_DEBUG(x) do {} while (0)
 #endif
 
 #endif
diff -urNp linux-2.6.32.24/drivers/usb/storage/usb.c linux-2.6.32.24/drivers/usb/storage/usb.c
--- linux-2.6.32.24/drivers/usb/storage/usb.c	2010-08-13 16:24:37.000000000 -0400
+++ linux-2.6.32.24/drivers/usb/storage/usb.c	2010-09-04 15:54:52.000000000 -0400
@@ -118,7 +118,7 @@ MODULE_PARM_DESC(quirks, "supplemental l
 
 static struct us_unusual_dev us_unusual_dev_list[] = {
 #	include "unusual_devs.h" 
-	{ }		/* Terminating entry */
+	{ NULL, NULL, 0, 0, NULL } /* Terminating entry */
 };
 
 #undef UNUSUAL_DEV
diff -urNp linux-2.6.32.24/drivers/usb/storage/usual-tables.c linux-2.6.32.24/drivers/usb/storage/usual-tables.c
--- linux-2.6.32.24/drivers/usb/storage/usual-tables.c	2010-08-13 16:24:37.000000000 -0400
+++ linux-2.6.32.24/drivers/usb/storage/usual-tables.c	2010-09-04 15:54:52.000000000 -0400
@@ -48,7 +48,7 @@
 
 struct usb_device_id usb_storage_usb_ids[] = {
 #	include "unusual_devs.h"
-	{ }		/* Terminating entry */
+	{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 }		/* Terminating entry */
 };
 EXPORT_SYMBOL_GPL(usb_storage_usb_ids);
 
diff -urNp linux-2.6.32.24/drivers/uwb/wlp/messages.c linux-2.6.32.24/drivers/uwb/wlp/messages.c
--- linux-2.6.32.24/drivers/uwb/wlp/messages.c	2010-08-13 16:24:37.000000000 -0400
+++ linux-2.6.32.24/drivers/uwb/wlp/messages.c	2010-09-04 15:54:52.000000000 -0400
@@ -903,7 +903,7 @@ int wlp_parse_f0(struct wlp *wlp, struct
 	size_t len = skb->len;
 	size_t used;
 	ssize_t result;
-	struct wlp_nonce enonce, rnonce;
+	struct wlp_nonce enonce = {{0}}, rnonce = {{0}};
 	enum wlp_assc_error assc_err;
 	char enonce_buf[WLP_WSS_NONCE_STRSIZE];
 	char rnonce_buf[WLP_WSS_NONCE_STRSIZE];
diff -urNp linux-2.6.32.24/drivers/uwb/wlp/sysfs.c linux-2.6.32.24/drivers/uwb/wlp/sysfs.c
--- linux-2.6.32.24/drivers/uwb/wlp/sysfs.c	2010-08-13 16:24:37.000000000 -0400
+++ linux-2.6.32.24/drivers/uwb/wlp/sysfs.c	2010-09-04 15:54:52.000000000 -0400
@@ -615,8 +615,7 @@ ssize_t wlp_wss_attr_store(struct kobjec
 	return ret;
 }
 
-static
-struct sysfs_ops wss_sysfs_ops = {
+static const struct sysfs_ops wss_sysfs_ops = {
 	.show	= wlp_wss_attr_show,
 	.store	= wlp_wss_attr_store,
 };
diff -urNp linux-2.6.32.24/drivers/video/atmel_lcdfb.c linux-2.6.32.24/drivers/video/atmel_lcdfb.c
--- linux-2.6.32.24/drivers/video/atmel_lcdfb.c	2010-08-13 16:24:37.000000000 -0400
+++ linux-2.6.32.24/drivers/video/atmel_lcdfb.c	2010-09-04 15:54:52.000000000 -0400
@@ -110,7 +110,7 @@ static int atmel_bl_get_brightness(struc
 	return lcdc_readl(sinfo, ATMEL_LCDC_CONTRAST_VAL);
 }
 
-static struct backlight_ops atmel_lcdc_bl_ops = {
+static const struct backlight_ops atmel_lcdc_bl_ops = {
 	.update_status = atmel_bl_update_status,
 	.get_brightness = atmel_bl_get_brightness,
 };
diff -urNp linux-2.6.32.24/drivers/video/aty/aty128fb.c linux-2.6.32.24/drivers/video/aty/aty128fb.c
--- linux-2.6.32.24/drivers/video/aty/aty128fb.c	2010-08-13 16:24:37.000000000 -0400
+++ linux-2.6.32.24/drivers/video/aty/aty128fb.c	2010-09-04 15:54:52.000000000 -0400
@@ -1787,7 +1787,7 @@ static int aty128_bl_get_brightness(stru
 	return bd->props.brightness;
 }
 
-static struct backlight_ops aty128_bl_data = {
+static const struct backlight_ops aty128_bl_data = {
 	.get_brightness	= aty128_bl_get_brightness,
 	.update_status	= aty128_bl_update_status,
 };
diff -urNp linux-2.6.32.24/drivers/video/aty/atyfb_base.c linux-2.6.32.24/drivers/video/aty/atyfb_base.c
--- linux-2.6.32.24/drivers/video/aty/atyfb_base.c	2010-08-13 16:24:37.000000000 -0400
+++ linux-2.6.32.24/drivers/video/aty/atyfb_base.c	2010-09-04 15:54:52.000000000 -0400
@@ -2225,7 +2225,7 @@ static int aty_bl_get_brightness(struct 
 	return bd->props.brightness;
 }
 
-static struct backlight_ops aty_bl_data = {
+static const struct backlight_ops aty_bl_data = {
 	.get_brightness = aty_bl_get_brightness,
 	.update_status	= aty_bl_update_status,
 };
diff -urNp linux-2.6.32.24/drivers/video/aty/radeon_backlight.c linux-2.6.32.24/drivers/video/aty/radeon_backlight.c
--- linux-2.6.32.24/drivers/video/aty/radeon_backlight.c	2010-08-13 16:24:37.000000000 -0400
+++ linux-2.6.32.24/drivers/video/aty/radeon_backlight.c	2010-09-04 15:54:52.000000000 -0400
@@ -127,7 +127,7 @@ static int radeon_bl_get_brightness(stru
 	return bd->props.brightness;
 }
 
-static struct backlight_ops radeon_bl_data = {
+static const struct backlight_ops radeon_bl_data = {
 	.get_brightness = radeon_bl_get_brightness,
 	.update_status	= radeon_bl_update_status,
 };
diff -urNp linux-2.6.32.24/drivers/video/backlight/adp5520_bl.c linux-2.6.32.24/drivers/video/backlight/adp5520_bl.c
--- linux-2.6.32.24/drivers/video/backlight/adp5520_bl.c	2010-08-13 16:24:37.000000000 -0400
+++ linux-2.6.32.24/drivers/video/backlight/adp5520_bl.c	2010-09-04 15:54:52.000000000 -0400
@@ -84,7 +84,7 @@ static int adp5520_bl_get_brightness(str
 	return error ? data->current_brightness : reg_val;
 }
 
-static struct backlight_ops adp5520_bl_ops = {
+static const struct backlight_ops adp5520_bl_ops = {
 	.update_status	= adp5520_bl_update_status,
 	.get_brightness	= adp5520_bl_get_brightness,
 };
diff -urNp linux-2.6.32.24/drivers/video/backlight/adx_bl.c linux-2.6.32.24/drivers/video/backlight/adx_bl.c
--- linux-2.6.32.24/drivers/video/backlight/adx_bl.c	2010-08-13 16:24:37.000000000 -0400
+++ linux-2.6.32.24/drivers/video/backlight/adx_bl.c	2010-09-04 15:54:52.000000000 -0400
@@ -61,7 +61,7 @@ static int adx_backlight_check_fb(struct
 	return 1;
 }
 
-static struct backlight_ops adx_backlight_ops = {
+static const struct backlight_ops adx_backlight_ops = {
 	.options = 0,
 	.update_status = adx_backlight_update_status,
 	.get_brightness = adx_backlight_get_brightness,
diff -urNp linux-2.6.32.24/drivers/video/backlight/atmel-pwm-bl.c linux-2.6.32.24/drivers/video/backlight/atmel-pwm-bl.c
--- linux-2.6.32.24/drivers/video/backlight/atmel-pwm-bl.c	2010-08-13 16:24:37.000000000 -0400
+++ linux-2.6.32.24/drivers/video/backlight/atmel-pwm-bl.c	2010-09-04 15:54:52.000000000 -0400
@@ -113,7 +113,7 @@ static int atmel_pwm_bl_init_pwm(struct 
 	return pwm_channel_enable(&pwmbl->pwmc);
 }
 
-static struct backlight_ops atmel_pwm_bl_ops = {
+static const struct backlight_ops atmel_pwm_bl_ops = {
 	.get_brightness = atmel_pwm_bl_get_intensity,
 	.update_status  = atmel_pwm_bl_set_intensity,
 };
diff -urNp linux-2.6.32.24/drivers/video/backlight/backlight.c linux-2.6.32.24/drivers/video/backlight/backlight.c
--- linux-2.6.32.24/drivers/video/backlight/backlight.c	2010-08-13 16:24:37.000000000 -0400
+++ linux-2.6.32.24/drivers/video/backlight/backlight.c	2010-09-04 15:54:52.000000000 -0400
@@ -269,7 +269,7 @@ EXPORT_SYMBOL(backlight_force_update);
  * ERR_PTR() or a pointer to the newly allocated device.
  */
 struct backlight_device *backlight_device_register(const char *name,
-		struct device *parent, void *devdata, struct backlight_ops *ops)
+		struct device *parent, void *devdata, const struct backlight_ops *ops)
 {
 	struct backlight_device *new_bd;
 	int rc;
diff -urNp linux-2.6.32.24/drivers/video/backlight/corgi_lcd.c linux-2.6.32.24/drivers/video/backlight/corgi_lcd.c
--- linux-2.6.32.24/drivers/video/backlight/corgi_lcd.c	2010-08-13 16:24:37.000000000 -0400
+++ linux-2.6.32.24/drivers/video/backlight/corgi_lcd.c	2010-09-04 15:54:52.000000000 -0400
@@ -451,7 +451,7 @@ void corgi_lcd_limit_intensity(int limit
 }
 EXPORT_SYMBOL(corgi_lcd_limit_intensity);
 
-static struct backlight_ops corgi_bl_ops = {
+static const struct backlight_ops corgi_bl_ops = {
 	.get_brightness	= corgi_bl_get_intensity,
 	.update_status  = corgi_bl_update_status,
 };
diff -urNp linux-2.6.32.24/drivers/video/backlight/cr_bllcd.c linux-2.6.32.24/drivers/video/backlight/cr_bllcd.c
--- linux-2.6.32.24/drivers/video/backlight/cr_bllcd.c	2010-08-13 16:24:37.000000000 -0400
+++ linux-2.6.32.24/drivers/video/backlight/cr_bllcd.c	2010-09-04 15:54:52.000000000 -0400
@@ -108,7 +108,7 @@ static int cr_backlight_get_intensity(st
 	return intensity;
 }
 
-static struct backlight_ops cr_backlight_ops = {
+static const struct backlight_ops cr_backlight_ops = {
 	.get_brightness = cr_backlight_get_intensity,
 	.update_status = cr_backlight_set_intensity,
 };
diff -urNp linux-2.6.32.24/drivers/video/backlight/da903x_bl.c linux-2.6.32.24/drivers/video/backlight/da903x_bl.c
--- linux-2.6.32.24/drivers/video/backlight/da903x_bl.c	2010-08-13 16:24:37.000000000 -0400
+++ linux-2.6.32.24/drivers/video/backlight/da903x_bl.c	2010-09-04 15:54:52.000000000 -0400
@@ -94,7 +94,7 @@ static int da903x_backlight_get_brightne
 	return data->current_brightness;
 }
 
-static struct backlight_ops da903x_backlight_ops = {
+static const struct backlight_ops da903x_backlight_ops = {
 	.update_status	= da903x_backlight_update_status,
 	.get_brightness	= da903x_backlight_get_brightness,
 };
diff -urNp linux-2.6.32.24/drivers/video/backlight/generic_bl.c linux-2.6.32.24/drivers/video/backlight/generic_bl.c
--- linux-2.6.32.24/drivers/video/backlight/generic_bl.c	2010-08-13 16:24:37.000000000 -0400
+++ linux-2.6.32.24/drivers/video/backlight/generic_bl.c	2010-09-04 15:54:52.000000000 -0400
@@ -70,7 +70,7 @@ void corgibl_limit_intensity(int limit)
 }
 EXPORT_SYMBOL(corgibl_limit_intensity);
 
-static struct backlight_ops genericbl_ops = {
+static const struct backlight_ops genericbl_ops = {
 	.options = BL_CORE_SUSPENDRESUME,
 	.get_brightness = genericbl_get_intensity,
 	.update_status  = genericbl_send_intensity,
diff -urNp linux-2.6.32.24/drivers/video/backlight/hp680_bl.c linux-2.6.32.24/drivers/video/backlight/hp680_bl.c
--- linux-2.6.32.24/drivers/video/backlight/hp680_bl.c	2010-08-13 16:24:37.000000000 -0400
+++ linux-2.6.32.24/drivers/video/backlight/hp680_bl.c	2010-09-04 15:54:52.000000000 -0400
@@ -98,7 +98,7 @@ static int hp680bl_get_intensity(struct 
 	return current_intensity;
 }
 
-static struct backlight_ops hp680bl_ops = {
+static const struct backlight_ops hp680bl_ops = {
 	.get_brightness = hp680bl_get_intensity,
 	.update_status  = hp680bl_set_intensity,
 };
diff -urNp linux-2.6.32.24/drivers/video/backlight/jornada720_bl.c linux-2.6.32.24/drivers/video/backlight/jornada720_bl.c
--- linux-2.6.32.24/drivers/video/backlight/jornada720_bl.c	2010-08-13 16:24:37.000000000 -0400
+++ linux-2.6.32.24/drivers/video/backlight/jornada720_bl.c	2010-09-04 15:54:52.000000000 -0400
@@ -93,7 +93,7 @@ out:
 	return ret;
 }
 
-static struct backlight_ops jornada_bl_ops = {
+static const struct backlight_ops jornada_bl_ops = {
 	.get_brightness = jornada_bl_get_brightness,
 	.update_status = jornada_bl_update_status,
 	.options = BL_CORE_SUSPENDRESUME,
diff -urNp linux-2.6.32.24/drivers/video/backlight/kb3886_bl.c linux-2.6.32.24/drivers/video/backlight/kb3886_bl.c
--- linux-2.6.32.24/drivers/video/backlight/kb3886_bl.c	2010-08-13 16:24:37.000000000 -0400
+++ linux-2.6.32.24/drivers/video/backlight/kb3886_bl.c	2010-09-04 15:54:52.000000000 -0400
@@ -134,7 +134,7 @@ static int kb3886bl_get_intensity(struct
 	return kb3886bl_intensity;
 }
 
-static struct backlight_ops kb3886bl_ops = {
+static const struct backlight_ops kb3886bl_ops = {
 	.get_brightness = kb3886bl_get_intensity,
 	.update_status  = kb3886bl_send_intensity,
 };
diff -urNp linux-2.6.32.24/drivers/video/backlight/locomolcd.c linux-2.6.32.24/drivers/video/backlight/locomolcd.c
--- linux-2.6.32.24/drivers/video/backlight/locomolcd.c	2010-08-13 16:24:37.000000000 -0400
+++ linux-2.6.32.24/drivers/video/backlight/locomolcd.c	2010-09-04 15:54:52.000000000 -0400
@@ -141,7 +141,7 @@ static int locomolcd_get_intensity(struc
 	return current_intensity;
 }
 
-static struct backlight_ops locomobl_data = {
+static const struct backlight_ops locomobl_data = {
 	.get_brightness = locomolcd_get_intensity,
 	.update_status  = locomolcd_set_intensity,
 };
diff -urNp linux-2.6.32.24/drivers/video/backlight/mbp_nvidia_bl.c linux-2.6.32.24/drivers/video/backlight/mbp_nvidia_bl.c
--- linux-2.6.32.24/drivers/video/backlight/mbp_nvidia_bl.c	2010-08-13 16:24:37.000000000 -0400
+++ linux-2.6.32.24/drivers/video/backlight/mbp_nvidia_bl.c	2010-09-04 15:54:52.000000000 -0400
@@ -33,7 +33,7 @@ struct dmi_match_data {
 	unsigned long iostart;
 	unsigned long iolen;
 	/* Backlight operations structure. */
-	struct backlight_ops backlight_ops;
+	const struct backlight_ops backlight_ops;
 };
 
 /* Module parameters. */
diff -urNp linux-2.6.32.24/drivers/video/backlight/omap1_bl.c linux-2.6.32.24/drivers/video/backlight/omap1_bl.c
--- linux-2.6.32.24/drivers/video/backlight/omap1_bl.c	2010-08-13 16:24:37.000000000 -0400
+++ linux-2.6.32.24/drivers/video/backlight/omap1_bl.c	2010-09-04 15:54:52.000000000 -0400
@@ -125,7 +125,7 @@ static int omapbl_get_intensity(struct b
 	return bl->current_intensity;
 }
 
-static struct backlight_ops omapbl_ops = {
+static const struct backlight_ops omapbl_ops = {
 	.get_brightness = omapbl_get_intensity,
 	.update_status  = omapbl_update_status,
 };
diff -urNp linux-2.6.32.24/drivers/video/backlight/progear_bl.c linux-2.6.32.24/drivers/video/backlight/progear_bl.c
--- linux-2.6.32.24/drivers/video/backlight/progear_bl.c	2010-08-13 16:24:37.000000000 -0400
+++ linux-2.6.32.24/drivers/video/backlight/progear_bl.c	2010-09-04 15:54:52.000000000 -0400
@@ -54,7 +54,7 @@ static int progearbl_get_intensity(struc
 	return intensity - HW_LEVEL_MIN;
 }
 
-static struct backlight_ops progearbl_ops = {
+static const struct backlight_ops progearbl_ops = {
 	.get_brightness = progearbl_get_intensity,
 	.update_status = progearbl_set_intensity,
 };
diff -urNp linux-2.6.32.24/drivers/video/backlight/pwm_bl.c linux-2.6.32.24/drivers/video/backlight/pwm_bl.c
--- linux-2.6.32.24/drivers/video/backlight/pwm_bl.c	2010-08-13 16:24:37.000000000 -0400
+++ linux-2.6.32.24/drivers/video/backlight/pwm_bl.c	2010-09-04 15:54:52.000000000 -0400
@@ -56,7 +56,7 @@ static int pwm_backlight_get_brightness(
 	return bl->props.brightness;
 }
 
-static struct backlight_ops pwm_backlight_ops = {
+static const struct backlight_ops pwm_backlight_ops = {
 	.update_status	= pwm_backlight_update_status,
 	.get_brightness	= pwm_backlight_get_brightness,
 };
diff -urNp linux-2.6.32.24/drivers/video/backlight/tosa_bl.c linux-2.6.32.24/drivers/video/backlight/tosa_bl.c
--- linux-2.6.32.24/drivers/video/backlight/tosa_bl.c	2010-08-13 16:24:37.000000000 -0400
+++ linux-2.6.32.24/drivers/video/backlight/tosa_bl.c	2010-09-04 15:54:52.000000000 -0400
@@ -72,7 +72,7 @@ static int tosa_bl_get_brightness(struct
 	return props->brightness;
 }
 
-static struct backlight_ops bl_ops = {
+static const struct backlight_ops bl_ops = {
 	.get_brightness		= tosa_bl_get_brightness,
 	.update_status		= tosa_bl_update_status,
 };
diff -urNp linux-2.6.32.24/drivers/video/backlight/wm831x_bl.c linux-2.6.32.24/drivers/video/backlight/wm831x_bl.c
--- linux-2.6.32.24/drivers/video/backlight/wm831x_bl.c	2010-08-13 16:24:37.000000000 -0400
+++ linux-2.6.32.24/drivers/video/backlight/wm831x_bl.c	2010-09-04 15:54:52.000000000 -0400
@@ -112,7 +112,7 @@ static int wm831x_backlight_get_brightne
 	return data->current_brightness;
 }
 
-static struct backlight_ops wm831x_backlight_ops = {
+static const struct backlight_ops wm831x_backlight_ops = {
 	.options = BL_CORE_SUSPENDRESUME,
 	.update_status	= wm831x_backlight_update_status,
 	.get_brightness	= wm831x_backlight_get_brightness,
diff -urNp linux-2.6.32.24/drivers/video/bf54x-lq043fb.c linux-2.6.32.24/drivers/video/bf54x-lq043fb.c
--- linux-2.6.32.24/drivers/video/bf54x-lq043fb.c	2010-08-13 16:24:37.000000000 -0400
+++ linux-2.6.32.24/drivers/video/bf54x-lq043fb.c	2010-09-04 15:54:52.000000000 -0400
@@ -463,7 +463,7 @@ static int bl_get_brightness(struct back
 	return 0;
 }
 
-static struct backlight_ops bfin_lq043fb_bl_ops = {
+static const struct backlight_ops bfin_lq043fb_bl_ops = {
 	.get_brightness = bl_get_brightness,
 };
 
diff -urNp linux-2.6.32.24/drivers/video/bfin-t350mcqb-fb.c linux-2.6.32.24/drivers/video/bfin-t350mcqb-fb.c
--- linux-2.6.32.24/drivers/video/bfin-t350mcqb-fb.c	2010-08-13 16:24:37.000000000 -0400
+++ linux-2.6.32.24/drivers/video/bfin-t350mcqb-fb.c	2010-09-04 15:54:52.000000000 -0400
@@ -381,7 +381,7 @@ static int bl_get_brightness(struct back
 	return 0;
 }
 
-static struct backlight_ops bfin_lq043fb_bl_ops = {
+static const struct backlight_ops bfin_lq043fb_bl_ops = {
 	.get_brightness = bl_get_brightness,
 };
 
diff -urNp linux-2.6.32.24/drivers/video/fbcmap.c linux-2.6.32.24/drivers/video/fbcmap.c
--- linux-2.6.32.24/drivers/video/fbcmap.c	2010-08-13 16:24:37.000000000 -0400
+++ linux-2.6.32.24/drivers/video/fbcmap.c	2010-09-04 15:54:52.000000000 -0400
@@ -266,8 +266,7 @@ int fb_set_user_cmap(struct fb_cmap_user
 		rc = -ENODEV;
 		goto out;
 	}
-	if (cmap->start < 0 || (!info->fbops->fb_setcolreg &&
-				!info->fbops->fb_setcmap)) {
+	if (!info->fbops->fb_setcolreg && !info->fbops->fb_setcmap) {
 		rc = -EINVAL;
 		goto out1;
 	}
diff -urNp linux-2.6.32.24/drivers/video/fbmem.c linux-2.6.32.24/drivers/video/fbmem.c
--- linux-2.6.32.24/drivers/video/fbmem.c	2010-08-13 16:24:37.000000000 -0400
+++ linux-2.6.32.24/drivers/video/fbmem.c	2010-09-04 15:54:52.000000000 -0400
@@ -403,7 +403,7 @@ static void fb_do_show_logo(struct fb_in
 			image->dx += image->width + 8;
 		}
 	} else if (rotate == FB_ROTATE_UD) {
-		for (x = 0; x < num && image->dx >= 0; x++) {
+		for (x = 0; x < num && (__s32)image->dx >= 0; x++) {
 			info->fbops->fb_imageblit(info, image);
 			image->dx -= image->width + 8;
 		}
@@ -415,7 +415,7 @@ static void fb_do_show_logo(struct fb_in
 			image->dy += image->height + 8;
 		}
 	} else if (rotate == FB_ROTATE_CCW) {
-		for (x = 0; x < num && image->dy >= 0; x++) {
+		for (x = 0; x < num && (__s32)image->dy >= 0; x++) {
 			info->fbops->fb_imageblit(info, image);
 			image->dy -= image->height + 8;
 		}
@@ -1119,7 +1119,7 @@ static long do_fb_ioctl(struct fb_info *
 			return -EFAULT;
 		if (con2fb.console < 1 || con2fb.console > MAX_NR_CONSOLES)
 			return -EINVAL;
-		if (con2fb.framebuffer < 0 || con2fb.framebuffer >= FB_MAX)
+		if (con2fb.framebuffer >= FB_MAX)
 			return -EINVAL;
 		if (!registered_fb[con2fb.framebuffer])
 			request_module("fb%d", con2fb.framebuffer);
diff -urNp linux-2.6.32.24/drivers/video/fbmon.c linux-2.6.32.24/drivers/video/fbmon.c
--- linux-2.6.32.24/drivers/video/fbmon.c	2010-08-13 16:24:37.000000000 -0400
+++ linux-2.6.32.24/drivers/video/fbmon.c	2010-09-04 15:54:52.000000000 -0400
@@ -45,7 +45,7 @@
 #ifdef DEBUG
 #define DPRINTK(fmt, args...) printk(fmt,## args)
 #else
-#define DPRINTK(fmt, args...)
+#define DPRINTK(fmt, args...) do {} while (0)
 #endif
 
 #define FBMON_FIX_HEADER  1
diff -urNp linux-2.6.32.24/drivers/video/i810/i810_accel.c linux-2.6.32.24/drivers/video/i810/i810_accel.c
--- linux-2.6.32.24/drivers/video/i810/i810_accel.c	2010-08-13 16:24:37.000000000 -0400
+++ linux-2.6.32.24/drivers/video/i810/i810_accel.c	2010-09-04 15:54:52.000000000 -0400
@@ -73,6 +73,7 @@ static inline int wait_for_space(struct 
 		}
 	}
 	printk("ringbuffer lockup!!!\n");
+	printk("head:%u tail:%u iring.size:%u space:%u\n", head, tail, par->iring.size, space);
 	i810_report_error(mmio); 
 	par->dev_flags |= LOCKUP;
 	info->pixmap.scan_align = 1;
diff -urNp linux-2.6.32.24/drivers/video/i810/i810_main.c linux-2.6.32.24/drivers/video/i810/i810_main.c
--- linux-2.6.32.24/drivers/video/i810/i810_main.c	2010-08-13 16:24:37.000000000 -0400
+++ linux-2.6.32.24/drivers/video/i810/i810_main.c	2010-09-04 15:54:52.000000000 -0400
@@ -120,7 +120,7 @@ static struct pci_device_id i810fb_pci_t
 	  PCI_ANY_ID, PCI_ANY_ID, 0, 0, 4 },
 	{ PCI_VENDOR_ID_INTEL, PCI_DEVICE_ID_INTEL_82815_CGC,
 	  PCI_ANY_ID, PCI_ANY_ID, 0, 0, 5 },
-	{ 0 },
+	{ 0, 0, 0, 0, 0, 0, 0 },
 };
 
 static struct pci_driver i810fb_driver = {
